### Hierarchy

- unknown
  - JapanBankAccountPayload

## Index

### Constructors

- constructor

### Methods

- getBankAccountName
- getBankAccountNumber
- getBankAccountType
- getBankBranchCode
- getBankBranchName
- getBankCode
- getBankName
- serializeBinary
- setBankAccountName
- setBankAccountNumber
- setBankAccountType
- setBankBranchCode
- setBankBranchName
- setBankCode
- setBankName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new JapanBankAccountPayload(): JapanBankAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns JapanBankAccountPayload

## Methods

### getBankAccountName

- getBankAccountName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4735

  #### Returns string

### getBankAccountNumber

- getBankAccountNumber(): string

- - Defined in src/protobuf/pb_pb.d.ts:4738

  #### Returns string

### getBankAccountType

- getBankAccountType(): string

- - Defined in src/protobuf/pb_pb.d.ts:4732

  #### Returns string

### getBankBranchCode

- getBankBranchCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:4729

  #### Returns string

### getBankBranchName

- getBankBranchName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4726

  #### Returns string

### getBankCode

- getBankCode(): string

- - Defined in src/protobuf/pb_pb.d.ts:4723

  #### Returns string

### getBankName

- getBankName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4720

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4741

  #### Returns Uint8Array

### setBankAccountName

- setBankAccountName(value: string): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4736

  #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

### setBankAccountNumber

- setBankAccountNumber(value: string): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4739

  #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

### setBankAccountType

- setBankAccountType(value: string): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4733

  #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

### setBankBranchCode

- setBankBranchCode(value: string): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4730

  #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

### setBankBranchName

- setBankBranchName(value: string): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4727

  #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

### setBankCode

- setBankCode(value: string): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4724

  #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

### setBankName

- setBankName(value: string): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4721

  #### Parameters

  - ##### value: string

  #### Returns JapanBankAccountPayload

### toObject

- toObject(includeInstance?: boolean): JapanBankAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4742

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns JapanBankAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4745

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns JapanBankAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: JapanBankAccountPayload, reader: BinaryReader): JapanBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4746

  #### Parameters

  - ##### message: JapanBankAccountPayload

  - ##### reader: BinaryReader

  #### Returns JapanBankAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: JapanBankAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4744

  #### Parameters

  - ##### message: JapanBankAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: JapanBankAccountPayload ): JapanBankAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4743

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: JapanBankAccountPayload

  #### Returns JapanBankAccountPayload . AsObject

Generated using TypeDoc